# Uses of Interface
org.bukkit.RegionAccessor

Packages that use RegionAccessor
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.generator
Classes to facilitate `world` generation implementation.
org.bukkit.structure
Classes related to creating or using `structures` without creating `Structure blocks` in the world.

## Uses of RegionAccessor in org.bukkit

Subinterfaces of RegionAccessor in org.bukkit
Modifier and Type
Interface
Description
`interface`
`World`
Represents a world, which may contain entities, chunks and blocks
Methods in org.bukkit with parameters of type RegionAccessor
Modifier and Type
Method
Description
`@NotNull NamespacedKey`
UnsafeValues.`getBiomeKey(RegionAccessor accessor, int x, int y, int z)`
Deprecated.
Gets the `NamespacedKey` for the biome at the given location.
`void`
UnsafeValues.`setBiomeKey(RegionAccessor accessor, int x, int y, int z, NamespacedKey biomeKey)`
Deprecated.
Sets the biome at the given location to a biome registered to the given `NamespacedKey`.

## Uses of RegionAccessor in org.bukkit.generator

Subinterfaces of RegionAccessor in org.bukkit.generator
Modifier and Type
Interface
Description
`interface`
`LimitedRegion`
A limited region is used in world generation for features which are going over a chunk.

## Uses of RegionAccessor in org.bukkit.structure

Methods in org.bukkit.structure with parameters of type RegionAccessor
Modifier and Type
Method
Description
`void`
Structure.`place(@NotNull RegionAccessor regionAccessor, @NotNull BlockVector location, boolean includeEntities, @NotNull StructureRotation structureRotation, @NotNull Mirror mirror, int palette, float integrity, @NotNull Random random)`
Place a structure in the world.